<?php

namespace App\Controllers\Admin;

use App\Models\CategoryModel;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class CategoryController extends AdminController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        $this->_model = new CategoryModel();
        parent::initController($request, $response, $logger);
        $this->_viewDatas['title'] = lang($this->_model->getClassName() . '.title');
        $this->_viewPath .= strtolower($this->_model->getClassName());
        helper($this->_model->getClassName());
    }
    public function getFields(string $action = ""): array
    {
        $fields = ['name', "status", "head", "tail",];
        switch ($action) {
            case "index":
            case "excel":
                return ['name', "status", "created_at"];
                break;
            case "view":
                return ['name', "status", "created_at", "head", "tail",];
                break;
            default:
                return $fields;
                break;
        }
    }
    public function getFieldFilters(): array
    {
        return ["status"];
    }
    public function getFieldBatchFilters(): array
    {
        return parent::getFieldBatchFilters();
    }
}
